package com.cn.tianji.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 扭矩预警日志表;
 *
 * @author : http://www.chiner.pro
 * @date : 2024-6-13
 */
@TableName("TORQUE_WARN_LOG")
@Data
public class TorqueWarnLog implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    private String id;
    /**
     * 井号
     */
    private String jh;
    /**
     * 预警点动作
     */
    private String motion;
    /**
     * 预警点工况
     */
    private String workingCondition;
    /**
     * 预警取值开始时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date warnStartTime;
    /**
     * 预警取值结束时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date warnEndTime;
    /**
     * 预警点扭矩
     */
    private BigDecimal warnTorque;
    /**
     * 预警点扭矩均值
     */
    private BigDecimal warnMeanValue;
    /**
     * 预警点扭矩波动值
     */
    private BigDecimal warnFluctuatedValue;
    /**
     * 预警点钻头位置
     */
    private BigDecimal warnBitdepth;
    /**
     * 预警点井深
     */
    private BigDecimal warnDepth;
    /**
     * 参考值起点时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date referenceStartTime;
    /**
     * 参考值结束时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date referenceEndTime;
    /**
     * 参考值扭矩均值
     */
    private BigDecimal referenceMeanValue;
    /**
     * 参考值扭矩波动值
     */
    private BigDecimal referenceFluctuatedValue;

    /**
     * 均值计算结果值
     */
    private BigDecimal resMeanValue;
    /**
     * 波动值计算结果值
     */
    private BigDecimal resFluctuatedValue;
    /**
     * 均值阈值
     */
    private BigDecimal thresholdMeanValue;
    /**
     * 波动值阈值
     */
    private BigDecimal thresholdFluctuatedValue;

    /**
     *是否均值报警 0否 1是
     */
    private String isMeanWarn;

    /**
     * 是否波动报警 0否 1是
     */
    private String isFluctuatedWarn;

    /**
     * 预警描述
     */
    private String warnDes;

    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
