package com.cn.tianji.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 总池体积预警数据日志表;
 *
 * @author : http://www.chiner.pro
 * @date : 2024-6-4
 */
@TableName("TOTAL_POOL_VOLUME_WARN_LOG")
@Data
public class TotalPoolVolumeWarnLog implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 井号
     */
    private String jh;

    /**
     * 预警点动作
     */
    private String motion;

    /**
     * 预警点工况
     */
    private String workingCondition;

    /**
     * 预警类别:溢流、井漏
     */
    private String totalWarnType;

    /**
     * 预警点时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date warnTime;

    /**
     * 预警点总池体积
     */
    private BigDecimal warnPittotal;

    /**
     * 总池体积参考值
     */
    private BigDecimal referenceValue;

    /**
     * 参考值起点时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date referenceStartTime;

    /**
     * 参考值结束时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date referenceEndTime;

    /**
     * 总池体积速率参考值
     */
    private BigDecimal rateStartPittotal;

    /**
     * 速率起点时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date rateStartTime;

    /**
     * 速率结束时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date rateEndTime;

    /**
     * 参考总池体积差值
     */
    private BigDecimal pittotalSub;

    /**
     * 速率总池体积差值
     */
    private BigDecimal ratePittotalSub;

    /**
     * 参考值预警值
     */
    private BigDecimal referenceWarnValue;

    /**
     * 速率预警值
     */
    private BigDecimal rateWarnValue;

    /**
     * 预警描述
     */
    private String warnDes;

    /**
     * 数据类别:0:起点 1结束点
     */
    private String dataType;

    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
