package com.cn.tianji.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;

/**
 * SICP 录井数据实体类  经纬公司
 * @author Zhao RenJi
 */
@Data
public class WellDrillingSICP implements Serializable {

    /**
     *井号
     */
    @JSONField(name = "jh")
    private String jh;

    /**
     *施工单位
     */
    @JSONField(name = "sgdw")
    private String sgdw;

    /**
     *工况
     */
    @JSONField(name = "gk")
    private String gk;

    /**
     *井标识
     */
    @JSONField(name = "jid")
    private String JID;

    /**
     *井眼标识
     */
    @JSONField(name = "jyid")
    private String JYID;

    /**
     *作业标识
     */
    @JSONField(name = "zyid")
    private String ZYID;

    /**
     *记录标识
     */
    @JSONField(name = "rid")
    private String RID;

    /**
     *序列标识
     */
    @JSONField(name = "sqid")
    private String SQID;

    /**
     *时间
     */
    @JSONField(name = "time")
    private String TIME;

    /**
     *活动码
     */
    @JSONField(name = "actc")
    private String ACTC;

    /**
     *钻头深度（测量）
     */
    @JSONField(name = "dbtm")
    private String DBTM;

    /**
     *钻头深度（垂直）
     */
    @JSONField(name = "dbtv")
    private String DBTV;

    /**
     *井眼深度（测量）
     */
    @JSONField(name = "dmea")
    private String DMEA;

    /**
     *井眼深度（垂直）
     */
    @JSONField(name = "dver")
    private String DVER;

    /**
     *大钩位置
     */
    @JSONField(name = "bpos")
    private String BPOS;

    /**
     *机械钻速（平均）
     */
    @JSONField(name = "ropa")
    private String ROPA;

    /**
     *大钩负荷（平均）
     */
    @JSONField(name = "hkla")
    private String HKLA;

    /**
     *大钩负荷（最大）
     */
    @JSONField(name = "hklx")
    private String HKLX;

    /**
     *钻压（地面，平均）
     */
    @JSONField(name = "woba")
    private String WOBA;

    /**
     *钻压（地面，最大)
     */
    @JSONField(name = "wobx")
    private String WOBX;

    /**
     *转盘扭矩（地面，平均）
     */
    @JSONField(name = "tqa")
    private String TQA;

    /**
     *转盘扭矩（地面，最大）
     */
    @JSONField(name = "tqx")
    private String TQX;

    /**
     *转盘速度（地面，平均）
     */
    @JSONField(name = "rpma")
    private String RPMA;

    /**
     *立管压力（平均）
     */
    @JSONField(name = "sppa")
    private String SPPA;

    /**
     *套管压力
     */
    @JSONField(name = "chkp")
    private String CHKP;

    /**
     *1#泵冲速
     */
    @JSONField(name = "spm1")
    private String SPM1;

    /**
     *2#泵冲速
     */
    @JSONField(name = "spm2")
    private String SPM2;

    /**
     *3#泵冲速
     */
    @JSONField(name = "spm3")
    private String SPM3;

    /**
     *泥浆池体积（活动）
     */
    @JSONField(name = "tva")
    private String TVA;

    /**
     *泥浆池体积变化（活动）
     */
    @JSONField(name = "tvca")
    private String TVCA;

    /**
     *出口泥浆流量％
     */
    @JSONField(name = "mfop")
    private String MFOP;

    /**
     *出口泥浆流量（平均）
     */
    @JSONField(name = "mfoa")
    private String MFOA;

    /**
     *入口泥浆流量（平均）
     */
    @JSONField(name = "mfia")
    private String MFIA;

    /**
     *出口泥浆密度（平均）
     */
    @JSONField(name = "mdoa")
    private String MDOA;

    /**
     *入口泥浆密度（平均）
     */
    @JSONField(name = "mdia")
    private String MDIA;

    /**
     *出口泥浆温度（平均）
     */
    @JSONField(name = "mtoa")
    private String MTOA;

    /**
     *入口泥浆温度（平均）
     */
    @JSONField(name = "mtia")
    private String MTIA;

    /**
     *出口泥浆电导率（平均）
     */
    @JSONField(name = "mcoa")
    private String MCOA;

    /**
     *入口泥浆电导率（平均）
     */
    @JSONField(name = "mcia")
    private String MCIA;

    /**
     *泵冲数（总计）
     */
    @JSONField(name = "stkc")
    private String STKC;

    /**
     *迟到泵冲
     */
    @JSONField(name = "lstk")
    private String LSTK;

    /**
     *迟到井深（测量）
     */
    @JSONField(name = "drtm")
    private String DRTM;

    /**
     *全烃（平均）
     */
    @JSONField(name = "gasa")
    private String GASA;

    /**
     *迟到时间
     */
    @JSONField(name = "trtt")
    private String TRTT;

    /**
     *大钩速度
     */
    @JSONField(name = "bspd")
    private String BSPD;

    /**
     *顶驱转速
     */
    @JSONField(name = "trpma")
    private String TRPMA;

    /**
     *顶驱扭矩（平均）
     */
    @JSONField(name = "ttqa")
    private String TTQA;

    /**
     *顶驱扭矩（最大）
     */
    @JSONField(name = "ttqx")
    private String TTQX;

    /**
     *二氧化碳（平均）
     */
    @JSONField(name = "co2a")
    private String CO2A;

    /**
     *硫化氢1（平均）
     */
    @JSONField(name = "hs1a")
    private String HS1A;

    /**
     *硫化氢2（平均）
     */
    @JSONField(name = "hs2a")
    private String HS2A;

    /**
     *硫化氢3（平均）
     */
    @JSONField(name = "hs3a")
    private String HS3A;

    /**
     *硫化氢4（平均）
     */
    @JSONField(name = "hs4a")
    private String HS4A;

    /**
     *硫化氢5（平均）
     */
    @JSONField(name = "hs4a")
    private String HS5A;

    /**
     *硫化氢6（平均）
     */
    @JSONField(name = "hs6a")
    private String HS6A;

    /**
     *硫化氢7（平均）
     */
    @JSONField(name = "hs7a")
    private String HS7A;

    /**
     *硫化氢8（平均）
     */
    @JSONField(name = "hs8a")
    private String HS8A;

    /**
     *可燃气1
     */
    @JSONField(name = "cbg1a")
    private String CBG1A;

    /**
     *可燃气2
     */
    @JSONField(name = "cbg2a")
    private String CBG2A;

    /**
     *可燃气3
     */
    @JSONField(name = "cbg3a")
    private String CBG3A;

    /**
     *可燃气4
     */
    @JSONField(name = "cbg4a")
    private String CBG4A;

    /**
     *提钻超拉
     */
    @JSONField(name = "trip_over_pull")
    private String TRIP_OVER_PULL;

    /**
     *DC指数
     */
    @JSONField(name = "dc")
    private String DC;

    /**
     *SIGMA指数
     */
    @JSONField(name = "sigma")
    private String SIGMA;

    /**
     *方入
     */
    @JSONField(name = "kellyin")
    private String KELLYIN;

    /**
     *钻具视重
     */
    @JSONField(name = "float_weight")
    private String FLOAT_WEIGHT;

    /**
     *瞬时钻时
     */
    @JSONField(name = "rop_inst")
    private String ROP_INST;

    /**
     *上米钻时
     */
    @JSONField(name = "rop_mavg")
    private String ROP_MAVG;

    /**
     *钻时
     */
    @JSONField(name = "rop")
    private String ROP;

    /**
     *瞬间钻速
     */
    @JSONField(name = "vop_inst")
    private String VOP_INST;

    /**
     *上米钻速
     */
    @JSONField(name = "vop_mavg")
    private String VOP_MAVG;

    /**
     *总泵冲
     */
    @JSONField(name = "tspm")
    private String TSPM;

    /**
     *泵冲1累计数
     */
    @JSONField(name = "strokes1")
    private String STROKES1;

    /**
     *泵冲2累计数
     */
    @JSONField(name = "strokes2")
    private String STROKES2;

    /**
     *泵冲3累计数
     */
    @JSONField(name = "strokes3")
    private String STROKES3;

    /**
     *等效循环密度
     */
    @JSONField(name = "ecd")
    private String ECD;

    /**
     *起下钻池体积
     */
    @JSONField(name = "triptandvol")
    private String TRIPTANDVOL;

    /**
     *氢气
     */
    @JSONField(name = "h2")
    private String H2;

    /**
     *已提下立柱数
     */
    @JSONField(name = "standsdone")
    private String STANDSDONE;

    /**
     *未提下立柱数
     */
    @JSONField(name = "standstogo")
    private String STANDSTOGO;

    /**
     *D指数
     */
    @JSONField(name = "d")
    private String D;

    /**
     *湿度比
     */
    @JSONField(name = "sdb")
    private String SDB;

    /**
     *平衡比
     */
    @JSONField(name = "phb")
    private String PHB;

    /**
     *特性比
     */
    @JSONField(name = "txb")
    private String TXB;

    /**
     *h2s百分含量-line(ppm)
     */
    @JSONField(name = "lhqbfhlline")
    private String LHQBFHLLINE;

    /**
     *井号
     */
    @JSONField(name = "dcsn")
    private String DCSN;

    /**
     *sigma趋向
     */
    @JSONField(name = "sigmaqx")
    private String SIGMAQX;

    /**
     *sigma孔隙度
     */
    @JSONField(name = "sigmakxd")
    private String SIGMAKXD;

    /**
     *dcs孔隙度
     */
    @JSONField(name = "dcskxd")
    private String DCSKXD;

    /**
     *sigma地压梯度(g/cm3)
     */
    @JSONField(name = "sigmadytd")
    private String SIGMADYTD;

    /**
     *sigma破压梯度(g/cm3)
     */
    @JSONField(name = "sigmapytd")
    private String SIGMAPYTD;

    /**
     *地层孔隙压力梯度估价（kg/m3
     */
    @JSONField(name = "fppg")
    private String FPPG;

    /**
     *地层破裂压力梯度估价（kg/m3）
     */
    @JSONField(name = "ffpg")
    private String FFPG;

    /**
     *进入时间
     */
    @JSONField(name = "jrtime")
    private String JRTIME;

    /**
     *来源单位
     */
    @JSONField(name = "sourceunit")
    private String SOURCEUNIT;

    /**
     *起下钻1号池体积(m3)
     */
    @JSONField(name = "ttv1")
    private String TTV1;

    /**
     *起下钻2号池体积(m3)
     */
    @JSONField(name = "ttv2")
    private String TTV2;

    /**
     *池体积（总计）(m3)
     */
    @JSONField(name = "tvt")
    private String TVT;

    /**
     *1号池体积（m3）
     */
    @JSONField(name = "tv01")
    private String TV01;

    /**
     *2号池体积（m3）
     */
    @JSONField(name = "tv02")
    private String TV02;

    /**
     *3号池体积（m3）
     */
    @JSONField(name = "tv03")
    private String TV03;

    /**
     *4号池体积（m3）
     */
    @JSONField(name = "tv04")
    private String TV04;

    /**
     *5号池体积（m3）
     */
    @JSONField(name = "tv05")
    private String TV05;

    /**
     *6号池体积（m3）
     */
    @JSONField(name = "tv06")
    private String TV06;

    /**
     *7号池体积（m3）
     */
    @JSONField(name = "tv07")
    private String TV07;

    /**
     *8号池体积（m3）
     */
    @JSONField(name = "tv08")
    private String TV08;

    /**
     *9号池体积（m3）
     */
    @JSONField(name = "tv09")
    private String TV09;

    /**
     *10号池体积（m3）
     */
    @JSONField(name = "tv10")
    private String TV10;

    /**
     *11号池体积（m3）
     */
    @JSONField(name = "tv11")
    private String TV11;

    /**
     *12号池体积（m3）
     */
    @JSONField(name = "tv12")
    private String TV12;

    /**
     *甲烷（C1）(%)
     */
    @JSONField(name = "meth")
    private String METH;

    /**
     *乙烷（C2）(%)
     */
    @JSONField(name = "eth")
    private String ETH;

    /**
     *丙烷（C3）(%)
     */
    @JSONField(name = "prp")
    private String PRP;

    /**
     *异丁烷（iC4）(%)
     */
    @JSONField(name = "ibut")
    private String IBUT;

    /**
     *正丁烷（NC4）(%)
     */
    @JSONField(name = "nbut")
    private String NBUT;

    /**
     *异戊烷（iC5）(%)
     */
    @JSONField(name = "ipen")
    private String IPEN;

    /**
     *正戊烷（NC5）(%)
     */
    @JSONField(name = "npen")
    private String NPEN;

    /**
     *新戊烷（EC5）(%)
     */
    @JSONField(name = "epen")
    private String EPEN;

    /**
     *异己烷（iC6）(%)
     */
    @JSONField(name = "ihex")
    private String IHEX;

    /**
     *正己烷（ＮC6）(%)
     */
    @JSONField(name = "nhex")
    private String NHEX;

    /**
     *备用1
     */
    @JSONField(name = "spr1")
    private String SPR1;

    /**
     *备用2
     */
    @JSONField(name = "spr2")
    private String SPR2;

    /**
     *备用3
     */
    @JSONField(name = "spr3")
    private String SPR3;

    /**
     *备用4
     */
    @JSONField(name = "spr4")
    private String SPR4;

    /**
     *备用5
     */
    @JSONField(name = "spr5")
    private String SPR5;


}
