package com.cn.tianji.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cn.tianji.entity.TotalPoolVolumeWarnLog;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 总池体积预警数据日志表;(total_pool_volume_warn_log)表服务接口
 * @author : zrj
 * @date : 2024-6-4
 */
public interface TotalPoolVolumeWarnLogService extends IService<TotalPoolVolumeWarnLog> {
    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TotalPoolVolumeWarnLog queryById(String id);

    /**
     * 新增数据
     *
     * @param totalPoolVolumeWarnLog 实例对象
     * @return 实例对象
     */
    TotalPoolVolumeWarnLog insert(TotalPoolVolumeWarnLog totalPoolVolumeWarnLog);
    /**
     * 更新数据
     *
     * @param totalPoolVolumeWarnLog 实例对象
     * @return 实例对象
     */
    TotalPoolVolumeWarnLog update(TotalPoolVolumeWarnLog totalPoolVolumeWarnLog);

    /**
     * 生成总池体积预警日志数据实体类
     *
     * @param jh 井号
     * @param workingCondition 工况
     * @param motion 动作
     * @param warnType 预警类别
     * @param warnTime 预警点时间
     * @param warnPittotal 预警点总池体积
     * @param referenceValue 5分钟总池体积变化参考值
     * @param referenceStartTime  5分钟总池体积变化开始时间
     * @param referenceEndTime 5分钟总池体积变化结束时间
     * @param rateStartPittotal 30秒总池体积变化参考值
     * @param rateStartTime 30秒总池体积变化开始时间
     * @param rateEndTime 30秒总池体积变化结束时间
     * @param pittotalSub  5分钟总池体积变化与当前点总池体积差值
     * @param ratePittotalSub 30秒总池体积变化与当前点总池体积差值
     * @param referenceWarnValue 5分钟总池体积变化预警阈值
     * @param rateWarnValue 30秒总池体积变化预警阈值
     * @param sizeStr 大于/小于
     */
    TotalPoolVolumeWarnLog createTotalPoolVolumeWarnLog(String jh, String workingCondition , String motion, String warnType, Date warnTime, BigDecimal warnPittotal, BigDecimal referenceValue, Date referenceStartTime,
                                                        Date referenceEndTime, BigDecimal rateStartPittotal, Date rateStartTime, Date rateEndTime, BigDecimal pittotalSub, BigDecimal ratePittotalSub, BigDecimal referenceWarnValue,
                                                        BigDecimal rateWarnValue, String sizeStr);
}
