package com.cn.tianji.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cn.tianji.entity.YjTorqueWarnValue;
import com.cn.tianji.mapper.YjTorqueWarnValueMapper;
import com.cn.tianji.service.YjTorqueWarnValueService;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 扭矩预警阈值;(yj_torque_warn_value)表服务实现类
 * @author : http://www.chiner.pro
 * @date : 2025-1-7
 */
@Service
public class YjTorqueWarnValueServiceImpl extends ServiceImpl<YjTorqueWarnValueMapper, YjTorqueWarnValue> implements YjTorqueWarnValueService {


    @Override
    public List<YjTorqueWarnValue> getListByJh(String jh){
        QueryWrapper<YjTorqueWarnValue> wrapper=new QueryWrapper<>();
        wrapper.lambda().eq(YjTorqueWarnValue::getJh,jh);
        wrapper.lambda().orderByAsc(YjTorqueWarnValue::getSortCode);
        List<YjTorqueWarnValue> list = this.list(wrapper);
        if(list.size()==0){
            list = createList(jh);
            this.saveBatch(list);
        }
        return list;
    }

    public List<YjTorqueWarnValue> createList(String jh){
        List<YjTorqueWarnValue> list = new ArrayList<>();
        YjTorqueWarnValue model=new YjTorqueWarnValue();
        model.setJh(jh);
        model.setBitdepth(BigDecimal.valueOf(500));
        model.setTorqueMin(BigDecimal.valueOf(0));
        model.setTorqueMax(BigDecimal.valueOf(0));
        model.setVarianceWarnValue(BigDecimal.valueOf(0.2));
        model.setFluctuateWarn(BigDecimal.valueOf(1));
        model.setSortCode(1);
        list.add(model);
        return list;
    }
}
