package com.cn.tianji.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cn.tianji.entity.YjWohWarnValue;
import com.cn.tianji.mapper.YjWohWarnValueMapper;
import com.cn.tianji.service.YjWohWarnValueService;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

/**
 * 钩载预警阈值管理;(yj_woh_warn_value)表服务实现类
 * @author : http://www.chiner.pro
 * @date : 2025-1-7
 */
@Service
public class YjWohWarnValueServiceImpl extends ServiceImpl<YjWohWarnValueMapper, YjWohWarnValue> implements YjWohWarnValueService {


    @Override
    public YjWohWarnValue getOneDataByJh(String jh){
        QueryWrapper<YjWohWarnValue> wrapper=new QueryWrapper<>();
        wrapper.lambda().eq(YjWohWarnValue::getJh,jh);
        YjWohWarnValue one = this.getOne(wrapper);
        if(ObjectUtil.isEmpty(one)){
            one = createModel(jh);
            this.save(one);
        }
        return one;
    }

    public YjWohWarnValue createModel(String jh){
        YjWohWarnValue model=new YjWohWarnValue();
        model.setJh(jh);
        model.setBitdepth(BigDecimal.valueOf(500));
        model.setRodWeight(BigDecimal.valueOf(7.73));
        model.setSustainWoh(BigDecimal.valueOf(100));
        model.setActivityOne(BigDecimal.valueOf(100));
        model.setActivityTwo(BigDecimal.valueOf(30));
        return model;
    }
}
