package com.cn.tianji.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cn.tianji.common.DrillingOutHookLoadCatch;
import com.cn.tianji.common.RedisUtil;
import com.cn.tianji.entity.HookLoadWarnLog;
import com.cn.tianji.entity.WellDrilling;
import com.cn.tianji.entity.YjWohWarnValue;
import com.cn.tianji.service.DrillingOutHookLoadService;
import com.cn.tianji.service.HookLoadService;
import com.cn.tianji.service.HookLoadWarnLogService;
import com.cn.tianji.service.YjWohWarnValueService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestParam;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

/**
 *钩载预警
 * @author Zhao RenJi
 */
@Service
@Slf4j
public class HookLoadServiceImpl implements HookLoadService {

    @Resource
    private DrillingOutHookLoadService drillingOutHookLoadService;

    @Resource
    private YjWohWarnValueService wohWarnValueService;

    @Resource
    private RedisUtil redisUtil;

    //抽取钻井、起下钻中的动作 按照动作走判断方法

    public String warnValueKey="_woh_warn_value_key";

    @Override
    public void hookLoadWarn(WellDrilling nowPoint){
        String jh = nowPoint.getJh();
        YjWohWarnValue warnValueData = getWarnValue(jh);
        //String motion = nowPoint.getMotion();
        String redisHasKey = jh + "_hook_load_real_time_computing";
        log.info("接收的数据:井号:{} 时间:{}",jh,nowPoint.getTime());
        BigDecimal warnValue =warnValueData.getSustainWoh();// BigDecimal.valueOf(100);
        BigDecimal rodWeight = warnValueData.getRodWeight();// BigDecimal.valueOf(7.73);
        BigDecimal activityOne = warnValueData.getActivityOne();
        BigDecimal activityTwo = warnValueData.getActivityTwo();
        BigDecimal bitdepth = nowPoint.getBitdepth();
        int isIntoButtom = bitdepth.compareTo(warnValueData.getBitdepth());
        if(isIntoButtom>0){
            drillingOutHookLoadService.hookLoadWarnCalculate(nowPoint,redisHasKey,warnValue,rodWeight, activityOne,activityTwo);
        }else{
            boolean b = redisUtil.hasKey(redisHasKey);
            if(b){
                redisUtil.del(redisHasKey);
            }
        }
    }


    public YjWohWarnValue getWarnValue(String jh){
        String warnKey=jh+warnValueKey;
        boolean isWarnKey = redisUtil.hasKey(warnKey);
        YjWohWarnValue yjWohWarnValue =null;
        if(isWarnKey){
            Object o = redisUtil.get(warnKey);
            yjWohWarnValue = JSON.parseObject(JSON.toJSONString(o),YjWohWarnValue.class);
            //JSONObject.toJavaObject(JSONObject.parseObject(JSON.toJSONString(o)), YjWohWarnValue.class);
        }else{
            yjWohWarnValue = wohWarnValueService.getOneDataByJh(jh);
            redisUtil.set(warnKey,yjWohWarnValue);
        }
        return yjWohWarnValue;
    }

}
