package com.cn.tianji.common.util;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.Date;
import java.util.List;

public class CommonUtils {
    public long timeDifference(Date startTime, Date endTime) {
        return (endTime.getTime() - startTime.getTime()) / 1000;
    }

    public static BigDecimal calculateAverage(List<BigDecimal> numbers) {
        if (numbers == null || numbers.isEmpty()) {
            throw new IllegalArgumentException("List of numbers cannot be null or empty.");
        }

        // 使用Stream API计算总和和元素数量
        BigDecimal sum = numbers.stream()
                .reduce(BigDecimal.ZERO, BigDecimal::add);
        long count = numbers.size();

        // 计算平均值
        BigDecimal average = sum.divide(new BigDecimal(count), 2, RoundingMode.HALF_UP);
        return average;
    }
    /**
     * 去除时间字符串中的毫秒部分
     *
     * @param timeString 包含毫秒的时间字符串
     * @return 去除毫秒后的时间字符串
     */
    public static String removeMilliseconds(String timeString) {
        // 查找毫秒部分的起始位置（小数点）
        int dotIndex = timeString.indexOf('.');

        // 如果没有找到小数点，说明没有毫秒部分，直接返回原字符串
        if (dotIndex == -1) {
            return timeString;
        }

        // 毫秒部分的起始位置是小数点之后，所以返回小数点之前的子字符串
        return timeString.substring(0, dotIndex);
    }

}
