package com.cn.tianji.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.*;

@Configuration
public class ThreadPoolConfig {

    @Bean(name = "fifoThreadPool")
    public ThreadPoolExecutor fifoThreadPool() {
        // 核心线程数
        int corePoolSize = 10;
        // 最大线程数
        int maximumPoolSize = 20;
        // 存活时间
        long keepAliveTime = 10L;
        // 时间单位
        TimeUnit unit = TimeUnit.SECONDS;
        // 使用LinkedBlockingQueue，满足FIFO原则
        ArrayBlockingQueue<Runnable> workQueue = new ArrayBlockingQueue<>(100);

        ThreadPoolExecutor executor = new ThreadPoolExecutor(
                corePoolSize,
                maximumPoolSize,
                keepAliveTime,
                unit,
                workQueue,
                Executors.defaultThreadFactory(),
                new ThreadPoolExecutor.AbortPolicy()
        );
        // 可以在这里设置其他线程池的参数，如拒绝策略等
        return executor;
    }
}
