package com.cn.tianji.controller;

import com.cn.tianji.service.PullWellDrillingSICPDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;



/**
 * 定时任务调度
 *
 * @author Zhao RenJi
 */
@Slf4j
@Component("TestTask")
public class TestTask {

    @Resource
    private PullWellDrillingSICPDataService pullWellDrillingSICPDataService;

    /**
     * 3分钟执行一次
     */
//    @Scheduled(cron = "0 0/3 * * * ?")
    public void updatePullJhListTask(){
        SimpleDateFormat sdf=new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date nowDate=new Date();
        log.info("定时采集SICP数据:时间:{}",sdf.format(nowDate));
        pullWellDrillingSICPDataService.updatePullJhList();
    }

}
