package com.cn.tianji.service.impl;

import com.alibaba.fastjson.JSONObject;
//import com.cn.tianji.config.RocketMQUtil;
import com.cn.tianji.entity.WellDrilling;
import com.cn.tianji.enums.MessageTopidEnums;
//import com.cn.tianji.rocketMq.SimpleProducer;
import com.cn.tianji.service.SendWellDrillingMessageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 钻井消息发送-根据不同工况发送不同topic消息数据
 * @author Zhao RenJi
 */
@Service
@Slf4j
public class SendWellDrillingMessageServiceImpl implements SendWellDrillingMessageService {

//    @Autowired
//    private SimpleProducer simpleProducer;

    /**
     * 扭矩、泵压只有在开泵情况下才会由数据
     * 钩载只有在起下钻情况才会有
     * 总池体积目前在所有情况都会有预警数据
     */
    @Override
    public void sendMessage(String type, WellDrilling model, String jh) {
        String sendMessageModel= JSONObject.toJSONString(model);
        log.info("发送数据类型:{}",type);
        log.info("发送数据:{}",model);
        String sendTag="";
        if("钻进".equals(type)){
            sendTag="well_log_drilling";
        }else{
            sendTag="well_log_round_trip";
        }
      //  rocketMQUtil.sendOneWayMessage(sendMessageModel,"topic-well_log",sendTag);
//        simpleProducer.sendOrderedMessage("topic-well_log",sendTag,sendMessageModel,jh+"_"+type);

    }
}
