package com.cn.tianji.common;


import com.cn.tianji.entity.WellDrilling;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 扭矩数据缓存
 * @author Zhao RenJi
 */
@Data
public class TorqueCatch {

    private String jh;

    /**
     * 样本数据
     */
    private List<WellDrilling> sampleData;

    /**
     * 上一柱样本缓存数据
     */
    private List<WellDrilling> previousSampleData;

    /**
     * 当前柱初始缓存数据(钻头接触井底后5分钟的样本数据)
     */
    private List<WellDrilling> nowInitSampleData;

    /**
     * 样本数据均值
     */
    private BigDecimal sampleMeanValue;

    /**
     * 样本数据波动值
     */
    private BigDecimal sampleFluctuatedValue;

    /**
     * 缓存数据
     */
    private List<WellDrilling> catchData;

    /**
     * 数据记录步骤
     * 0 待开始记录
     * 1 开始记录
     * 2 样本数据记录完成 开始记录预警计算缓存数据
     * 3 开始计算预警数据
     */
    private Integer recordStep;



}
